<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\HomeSlider;
use App\Category;
use App\HomeImage;
use DB;
use App\MenuItem;
use Auth;
use App\Service;
use App\Project;
use App\Faqs;
use App\Page;
use App\AboutStruc;
use App\About;
use App\ContactUs;
use App\Setting;
use Mail;
use App\BlogItem;
use App\BlogCategory;
use App\Testimonial;
use App\GalleryImage;
use App\GalleryVideo;
use App\SeoAssistant;
use App\Configration;
use Melbahja\Seo\Schema;
use Melbahja\Seo\Schema\Thing;
use Melbahja\Seo\MetaTags;
use App\Faq;
use App\Comment;
use App\Writer;
use App\Traits\SeoTrait;
use \Mcamara\LaravelLocalization\Facades\LaravelLocalization;

class WebsiteController extends Controller
{
    use SeoTrait;
        public function checkUrl($slug){
            $checkMenu = MenuItem::where('type',$slug)->first();
            // $checkBlog = BlogItem::where('link_en', $slug)->orWhere('link_ar', $slug)->first();
            // $checkService = Service::where('link_en',$slug)->orWhere('link_ar',$slug)->first();
            // $checkProject = Project::where('link_en', $slug)->orWhere('link_ar', $slug)->first();
            
            if($checkMenu){
                return $this->menus($checkMenu->type);
            }else{
                abort('404');
            }
        }

    //////// function retun dynamic menu//////////
    public function menus($menu){
        $menu = MenuItem::where('type',$menu)->first();
        $lang=\LaravelLocalization::getCurrentLocale();
        
        if($menu->type == 'home'){
            return $this->home();
        }

        elseif($menu->type == 'about-us'){
            return $this->aboutUs();
        }

        elseif($menu->type == 'contact-us'){
            return $this->contactUs();
        }

        elseif($menu->type == 'projects'){
            return $this->getProjects();
        }

        elseif($menu->type == 'services'){
            return $this->getservices();
        }
        
        elseif($menu->type == 'galleryImages'){
             return $this->getGalleryImages();
        }
        
        
        elseif($menu->type == 'galleryVideos'){
             return $this->getGalleryVideos();
        }

        elseif($menu->type == 'blogs'){
             return $this->getBlogs();
        }
        elseif($menu->type == 'faqs'){
             return $this->getFaqs();
        }
        elseif($menu->type == 'testimonials'){
             return $this->getTestimonials();
        }
        elseif($menu->type == 'why-choose-us'){
            return $this->whyChooseUs();
        }
        
    }
    
    ////////////// function returnindex page///////////
    public function home(){
        $lang=\LaravelLocalization::getCurrentLocale();
        $configration = Configration::where('lang',$lang)->first();
        $setting = Setting::first();
        $seo = SeoAssistant::first();
        $blogCategories= BlogCategory::orderBy('id','desc')->get();
        $sliders = HomeSlider :: where('lang',$lang)->where('status',1)->get();
        $services = Service::where('parent_id',0)->where('status',1)->orderBy('order')->orderBy('name_ar')->take(6)->get();
        $blogs = BlogItem::where('status',1)->take(6)->get();
        $about = About::first();
        $testimonials = Testimonial::where('lang',$lang)->where('status',1)->get();
        $faqs = Faqs::where('type','why_section')->where('status',1)->get();
        ////// seo script//////
        list($schema, $metatags) = $this->homePageSeo();
        
        return view('website.home',compact('sliders','services','about','blogs','schema','metatags','blogCategories', 'testimonials','faqs'));
    }
    
    public function getWriter($id){
        $writer = Writer::find($id);
        $blogss = BlogItem::where('status', 1)->where('writer_id', $id)->get();
        $lang=\LaravelLocalization::getCurrentLocale();
        $about = About::first();
        $configration = Configration::where('lang',$lang)->first();
        $setting = Setting::first();
        $seo = SeoAssistant::first();
        $schema1 = new Thing('LocalBusiness', [
            'name'          => $configration->app_name,
            'url'          => LaravelLocalization::localizeUrl('/'),
            'image'         => url("uploads/settings/source/$configration->app_logo"),
            'telephone' => $setting->mobile,
            'address' => $configration->address1,
        ]);

        
        $schema2= new Thing('Organization', [
            'url'          => LaravelLocalization::localizeUrl('/'),
            'logo'         => url("uploads/settings/source/$configration->app_logo"),
            'contactPoint' => new Thing('ContactPoint', [
                'telephone' => $setting->mobile,
                'contactType' => 'customer service'
            ]),
        ]);

        $schema = new Schema(
            $schema1,
            $schema2
        );
        
        $metatags = new MetaTags();
        $metatags
                ->title(($seo->home_meta_title)? $seo->home_meta_title:$configration->app_name)
                ->meta('title',($seo->home_meta_title)? $seo->home_meta_title:$configration->app_name)
                ->description(($seo->home_meta_desc)?$seo->home_meta_desc:strip_tags($configration->about_app))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(LaravelLocalization::localizeUrl('/'))
                ->canonical(LaravelLocalization::localizeUrl('/'))
                ->shortlink(LaravelLocalization::localizeUrl('/'))
                ->meta('robots',($seo->home_meta_robots)?'index':'noindex');
        

        return view('website.writer_details', compact('writer', 'metatags', 'blogss','schema', 'setting', 'lang', 'seo'));
    }
    
    ////////////FUNCTION RETURN VIEW ABOUT US//////
    public function aboutUs(){
        $lang=\LaravelLocalization::getCurrentLocale();
        $about = About::first();
        $blogCategories= BlogCategory::orderBy('id','desc')->get();
        $aboutStrucs = AboutStruc::where('lang',$lang)->where('status',1)->get();
        $services = Service::where('parent_id',0)->where('status',1)->orderBy('order')->orderBy('name_ar')->get();
        ////// seo script//////
        list($schema, $metatags) = $this->aboutUsPageSeo();
        return view('website.about-us',compact('lang','about','aboutStrucs','metatags','schema', 'services','blogCategories'));
    }

    ////////////FUNCTION RETURN VIEW CONTACT US//////
    public function contactUs(){
        $lang=\LaravelLocalization::getCurrentLocale();
        $blogCategories= BlogCategory::orderBy('id','desc')->get();
        $services = Service::where('parent_id',0)->where('status',1)->orderBy('order')->orderBy('name_ar')->get();
        ////// seo script//////
        list($schema, $metatags) = $this->contactUsPageSeo();
        return view('website.contact-us',compact('lang','schema','metatags','blogCategories','services'));
    }
    ////////////FUNCTION RETURN VIEW CONTACT US//////
    public function getFaqs(){
        $lang=\LaravelLocalization::getCurrentLocale();
        $faqs = Faqs::where('type','faq')->where('status',1)->get();
        ////// seo script//////
        list($schema, $metatags) = $this->faqPageSeo();
        return view('website.faqs',compact('lang','schema','metatags','faqs'));
    }
    public function getTestimonials(){
        $lang=\LaravelLocalization::getCurrentLocale();
        $testimonials = Testimonial::where('lang',$lang)->where('status',1)->get();
        ////// seo script//////
        list($schema, $metatags) = $this->testimonialPageSeo();
        return view('website.testimonials',compact('lang','schema','metatags','testimonials'));
    }

    ////////////// function saveContact//////////
    public function saveContactUs(Request $request){
        //dd($request->all());
        $request->validate([
          'name'=>'required|max:150',
          'email'=>'required|email',
          'message'=>'required',
          'phone'=>'required|regex:/(01)[0-9]{9}/',
        ]);

        $contact = new ContactUs();
        $contact->name = $request->name;
        $contact->email = $request->email;
        $contact->phone = $request->phone;
        $contact->message = $request->message;
        $contact->save();

//         $data = array('contact' => $contact);
//         $setting = Setting::first();
// 	    Mail::send('emails/contact_email', $data, function($msg) use ($setting) {
//   			$msg->to([$setting ->contact_email,'support@waelsakrplastic.com'], 'Booking Appointement')->subject('Booking');
//   			$msg->cc(['begroup.seo@gmail.com','ahmed.essam.be@gmail.com']);
//   			$msg->from(config('mail.from.address'),config('mail.from.name'));
// 		});

        return back()->with(['contact_message'=>trans('home.Thank you for contacting us. A customer service officer will contact you soon')]);

    }

    ////////// FUNCTION RETURN PAGE INFORMATION /////////
    public function getPage($link){
        $lang=\LaravelLocalization::getCurrentLocale();
        $page =Page::where('link',$link)->first();
        return view('website.page',compact('lang','page'));
    }

    /////////////////////FUNCTION RETURN VIEW BLOGS ///////////
    public function getBlogs($link = null){
        $lang=\LaravelLocalization::getCurrentLocale();
        if($link){
            $blogCategory = BlogCategory::where('link_en',$link)->orwhere('link_ar',$link)->first();
            $blogs = BlogItem::where('blogcategory_id',$blogCategory->id)->where('status',1)->get();
            $blogCategories= BlogCategory::orderBy('id','desc')->get();
            $services = Service::where('parent_id',0)->where('status',1)->orderBy('order')->orderBy('name_ar')->take(6)->get();
            ////// seo script//////
            list($metatags) = $this->CategoryBlogsPageSeo($link);
            return view('website.category-blogs',compact('lang','blogCategory','blogs','metatags','services','blogCategories'));
        }else{
            $blogs = BlogItem::where('status',1)->get();
            ////// seo script//////
            list($metatags) = $this->blogsPageSeo();
            return view('website.blogs',compact('lang','blogs','metatags'));
        }
    }

    /////////////////////FUNCTION RETURN VIEW BLOG ///////////
    public function getBlogPage($link){
        $blog = BlogItem::where('link_en',$link)->orwhere('link_ar',$link)->first();
        $blogCategories= BlogCategory::orderBy('id','desc')->get();
        $services = Service::where('parent_id',0)->where('status',1)->orderBy('order')->orderBy('name_ar')->take(6)->get();
        $faqs = Faq::where('type','blog_item')->where('blog_item_id',$blog->id)->get();
        $blogs = BlogItem::where('status',1)->take(5)->get();
        $comments = Comment::where('type','blog')->where('type_id',$blog->id)->where('admin_approve',1)->get();
        ////// seo script//////
        list($schema, $metatags)= $this->blogSeo($link);
        
        return view('website.blogPage',compact('blog','schema','metatags','faqs','comments','blogs','services','blogCategories'));
    }

    ////////// function return list of published products/////
    public function getProjects(){
        $projects =Project::where('status',1)->get();
        ////// seo script//////
        list($metatags)= $this->projectsPageSeo();
        return view('website.projects',compact('projects','metatags'));
    }
    
    ////////// function return project Details /////
    public function getProjectDetails($link){
        $project =Project::where('link_en',$link)->orwhere('link_ar',$link)->first();
        if($project){
            return view('website.project-details',compact('project'));
        }else{
            abort('404');
        }
    }
    
    ////////// function return list of published services/////
    public function getservices(){
        $services = Service::where('parent_id',0)->where('status',1)->orderBy('order')->orderBy('name_ar')->get();
        $blogCategories= BlogCategory::orderBy('id','desc')->get();
        ////// seo script//////
        list($metatags)= $this->servicesPageSeo();
        return view('website.services',compact('services','metatags','blogCategories'));
    }
    
    ////////// function return project service /////
    public function getServiceDetails($link){
        $service =Service::where('link_en',$link)->orwhere('link_ar',$link)->first();
        $subServices = Service::where('parent_id',$service->id)->where('status',1)->get();
        $blogCategories= BlogCategory::orderBy('id','desc')->get();
        if(count($subServices) > 0){
            $faqs = Faq::where('type','service')->where('service_id',$service->id)->get();
            $services =$subServices;
            ////// seo script//////
            list($schema, $metatags)= $this->serviceSeo($link);
            return view('website.sub-services',compact('service','services', 'faqs','metatags','blogCategories'));
        }

        if($service){
            $faqs = Faq::where('type','service')->where('service_id',$service->id)->get();
            $services = Service::where('parent_id',0)->where('status',1)->orderBy('order')->orderBy('name_ar')->limit(5)->get();
            $blogCategories= BlogCategory::orderBy('id','desc')->get();
            ////// seo script//////
            list($schema, $metatags)= $this->serviceSeo($link);
            return view('website.service-details',compact('service','services','metatags','schema','faqs','blogCategories'));
        }else{
            abort('404');
        }
    }
    
    public function getGalleryImages(){
        $imagesTypes =['general','men','women','scalp','eyebrows','beard'];


        $blogCategories= BlogCategory::orderBy('id','desc')->get();
        $services = Service::where('parent_id',0)->where('status',1)->orderBy('order')->orderBy('name_ar')->take(6)->get();
        ////// seo script//////
        list($schema, $metatags)= $this->galleryImagesPageSeo();
        return view('website.gallery-images',compact('metatags','schema','blogCategories','services', 'imagesTypes'));
    }
    
    public function getGalleryVideos(){
        $videos =GalleryVideo::where('status',1)->orderBy('order','asc')->get();
        $blogCategories= BlogCategory::orderBy('id','desc')->get();
        $services = Service::where('parent_id',0)->where('status',1)->orderBy('order')->orderBy('name_ar')->take(6)->get();
        ////// seo script//////
        list($schema, $metatags)= $this->galleryVideosPageSeo();
        return view('website.gallery-videos',compact('videos','metatags','schema','blogCategories','services'));
    }
    
    public function saveComment(Request $request){
        $add = new Comment();
        $add->name=$request->name;
        $add->email=$request->email;
        $add->comment=$request->comment;
        $add->type=$request->type;
        $add->type_id=$request->type_id;
        $add->save();
        return back()->with(['success'=>trans('home.Thank you for your Comment , your commnet under review')]);
        
    }
    
    public function whyChooseUs(){
        $faqs = Faqs::where('type','why_section')->where('status',1)->get();
        return view('website.whyChooseUs',compact('faqs'));
    }
    
}
