@extends('layouts.app')
@section('content')
<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="{{LaravelLocalization::localizeUrl('/')}}">{{trans('home.home')}}</a></li>
                <li>{{trans('home.blogs')}}</li>
            </ul>
            <div class="title">
                <h1>{{trans('home.blogs')}}</h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6>{{trans('home.follow on social media')}}</h6></li>
            @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
        </ul>
    </div>
</section>
<!-- End Page Title -->

<!-- news-section -->
<section class="news-section sec-pad pt-5">
    <div class="container">
        <div class="row clearfix">
            @if(count($blogs) > 0)
                @foreach($blogs as $blog)
                    <div class="col-lg-4 col-md-6 col-sm-12 news-block">
                        <div class="news-block-one wow fadeInUp animated" data-wow-delay="00ms" data-wow-duration="1500ms">
                            <div class="inner-box">
                                <figure class="image-box">
                                    <a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('blog/'.$blog->link_en):LaravelLocalization::localizeUrl('blog/'.$blog->link_ar) }}">
                                        <img src="{{url('uploads/blogitems/source/'.$blog->image)}}" alt="{{$blog->alt_img}}">
                                    </a>
                                </figure>
                                <div class="lower-content">
                                    <h3><a href="{{ (app()->getLocale() == 'en')? LaravelLocalization::localizeUrl('blog/'.$blog->link_en):LaravelLocalization::localizeUrl('blog/'.$blog->link_ar) }}">{{(app()->getLocale() == 'en')?$blog->title_en:$blog->title_ar}}</a></h3>
                                    <p>{!! (app()->getLocale() == 'en')?strip_tags(mb_strimwidth($blog->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($blog->text_ar, 0, 100, "...")) !!}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            @else
                <div class="col-lg-12 col-md-12 col-sm-12 text-center">
                    <p>{{trans('home.no_data_found')}}</p>
                </div>
            @endif
        </div>
    </div>
</section>
<!-- news-section end -->
@endsection