@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')

<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="index.html">{{trans('home.home')}}</a></li>
                <li>{{trans('home.contact-us')}}</li>
            </ul>
            <div class="title">
                <h1>{{trans('home.contact-us')}}</h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6>{{trans('home.follow on social media')}}</h6></li>
            @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
        </ul>
    </div>
</section>
<!-- End Page Title -->

<!-- contact-section -->
<section class="contact-section">
    <div class="container">
        <div class="row clearfix">
            <div class="col-lg-5 col-md-12 col-sm-12 content-column">
                <div class="content_block_six">
                    <div class="content-box">
                        <div class="sec-title">
                            <span class="sub-title">{{trans('home.Contact With Us')}}</span>
                            <h2>{{trans('home.Drop a Message')}}</h2>
                        </div>
                        <div class="inner-box">
                            <div class="single-item">
                                <div class="icon-box"><i class="flaticon-open-envelope"></i></div>
                                <p>{{trans('home.contact_email')}}</p>
                                <h3><a href="mailto:{{$setting->contact_email}}">{{$setting->contact_email}}</a></h3>
                            </div>
                            <div class="single-item">
                                <div class="icon-box"><i class="flaticon-phone"></i></div>
                                <p>{{trans('home.call_us')}}</p>
                                <h3><a href="tel:{{$setting->mobile}}">{{$setting->mobile}}</a></h3>
                                <h3><a href="tel:+{{$setting->telphone}}">+{{$setting->telphone}}</a></h3>
                            </div>
                            <div class="single-item">
                                <div class="icon-box"><i class="fa fa-map-marked-alt"></i></div>
                                <p>{{trans('home.Visit us')}}</p>
                                <h3><a href="javascript:;">{{$configration->address1}}</a></h3>
                                <br>
                                <h3><a href="javascript:;">{{$configration->address2}}</a></h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-7 col-md-12 col-sm-12 form-column">
                <div class="form-inner">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <form class="default-form" action="{{LaravelLocalization::localizeUrl('save/contact-us')}}" method="post">
                        @csrf
                        <div class="row clearfix">
                            <div class="col-lg-6 col-md-6 col-sm-12 form-group">
                                <input type="text" name="name" placeholder="{{trans('home.name')}}" required>
                            </div>
                            <div class="col-lg-6 col-md-12 col-sm-12 form-group">
                                <input type="text" name="email" placeholder="{{trans('home.email')}}" required>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                <input type="text" name="phone" placeholder="{{trans('home.phone')}}" required>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                <textarea  name="message" id="" cols="60" rows="5" placeholder="{{trans('home.message')}}" required=""></textarea>
                            </div>
                            <div class="col-lg-12 col-md-12 col-sm-12 form-group message-btn mr-0">
                                <button class="theme-btn btn-one" type="submit" name="submit-form"><span>{{trans('home.send')}}</span></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- contact-section end -->

<!-- google-map-section -->
<section class="google-map-section">
    <div class="container">
        <div class="row">
            <div class="col-12 google-map">
                <iframe src="{{$setting->map_url}}" width="100%" height="100%" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
            </div>
        </div>
    </div>
</section>
<!-- google-map-section end -->
@endsection

@section('script')
    @if(Session::has('contact_message'))
        <script>
            $.alert({
                title: "{{trans('home.contact_us')}}",
                content: "{{Session::get('contact_message')}}",
                buttons: {
                    ok: {
                        text: "{{trans('home.OK')}}",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    @endif
    @php
        Session::forget('contact_message')
    @endphp
@endsection  