@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')
<!-- Page Title -->
<section class="page-title centred">
    <div class="bg-layer" style="background-image: url({{url('resources/assets/front/images/background/banner.jpg')}});"></div>
    <div class="container">
        <div class="content-box">
            <ul class="bread-crumb clearfix">
                <li><a href="index.html">{{trans('home.home')}}</a></li>
                <li>{{trans('home.After & Before')}}</li>
            </ul>
            <div class="title">
                <h1>{{trans('home.After & Before')}}</h1>
            </div>
        </div>
    </div>
    <div class="media-partner">
        <ul class="media-links clearfix">
            <li><h6>{{trans('home.follow on social media')}}</h6></li>
            @if($setting->mobile)<li><a href="tel:{{$setting->mobile}}" target="_blank"><i class="fa fa-phone"></i></a></li>@endif
            @if($setting->facebook)<li><a href="{{$setting->facebook}}" target="_blank"><i class="fab fa-facebook"></i></a></li>@endif
            @if($setting->instgram)<li><a href="{{$setting->instgram}}" target="_blank"><i class="fab fa-instagram"></i></a></li>@endif
        </ul>
    </div>
</section>
<!-- End Page Title -->
    
<!-- gallery-page-section -->
<section class="gallery-page-section ">
    <div class="container">
        <div class="sortable-masonry">
            <div class="row">
                <div class="col-12 mb-3 mt-5">
                    <ul class="filter-btns">
                        <li class="active" data-filter="*">{{trans("home.Show All")}}</li>
                        @foreach($imagesTypes as $imagesType)
                            @php
                                $images =App\GalleryImage::where('status',1)->where('type', $imagesType)->orderBy('order','asc')->get();
                            @endphp
                            @if(count($images) > 0)
                                <li data-filter=".{{$imagesType}}">{{trans("home.$imagesType")}}</li>
                            @endif
                        @endforeach
                    </ul>
                </div>
            </div>
            <div class="row clearfix items-container gap-3">
                
                @php
                    $images =App\GalleryImage::where('status',1)->orderBy('order','asc')->get();
                @endphp
                <!--<div class="col-lg-4 col-md-6 col-sm-12 gallery-block masonry-item small-column *">-->
                <!--    <div class="gallery-block-two">-->
                <!--        <div class="inner-box">-->
                <!--            @foreach($images as $key=>$image)-->
                <!--                <figure class="image"><img src="{{url('uploads/galleryImages/source/'. $image->img)}}" alt="Gallery Image {{$key}}"></figure>-->
                <!--                <div class="view-btn"><a href="{{url('uploads/galleryImages/source/'. $image->img)}}" class="lightbox-image" data-fancybox="gallery{{$image->id}}"><i class="flaticon-plus"></i></a></div>-->
                <!--            @endforeach-->
                <!--        </div>-->
                <!--    </div>-->
                <!--</div>-->
                @foreach($imagesTypes as $key=>$imagesType)

                    @php
                        $imagesNew =App\GalleryImage::where('status',1)->where('type', $imagesType)->orderBy('order','asc')->get();
                    @endphp
                    @if(count($imagesNew) > 0)
                        @foreach($imagesNew as $key=>$new)
                            <div class="col-lg-4 col-md-6 col-sm-12 gallery-block masonry-item small-column {{$imagesType}}">
                                <div class="gallery-block-two">
                                    <div class="inner-box">
                                            <figure class="image"><img src="{{url('uploads/galleryImages/source/'. $new->img)}}" alt="Gallery Image {{$key}}"></figure>
                                            <div class="view-btn"><a href="{{url('uploads/galleryImages/source/'. $new->img)}}" class="lightbox-image" data-fancybox="{{$imagesType}}"><i class="flaticon-plus"></i></a></div>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    @endif    
                @endforeach
            </div>
        </div>
    </div>
</section>
<!-- gallery-page-section end -->

@endsection
