<?php $__env->startSection('meta'); ?>
    <title><?php echo e(trans('home.edit_blog_item')); ?></title>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="container-fluid">
        <!-- Page Header -->
        <div class="page-header">
            <div>
                <h2 class="main-content-title tx-24 mg-b-5"><?php echo e(trans('home.blogItems')); ?></h2>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('/admin')); ?>"><?php echo e(trans('home.admin')); ?></a></li>
                    <li class="breadcrumb-item"><a href="<?php echo e(url('admin/blog-items')); ?>"><?php echo e(trans('home.blogItems')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans('home.edit_blog_item')); ?></li>
                </ol>
            </div>
        </div>
        <!-- End Page Header -->
        
        <?php if(session()->has('success')): ?>
            <div class="alert alert-success">
                <?php echo e(session()->pull('success')); ?>

                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        <?php endif; ?>
        

        <!-- Row-->
        <div class="row">
            <div class="col-sm-12 col-xl-12 col-lg-12">
                <div class="card custom-card overflow-hidden">
                    
                    <div class="card-body">
                        <div>
                            <h6 class="card-title "><?php echo e(trans('home.edit_blog_category')); ?></h6>
                        </div>
                        <?php echo Form::open(['method'=>'PATCH','url' => 'admin/blog-items/'.$blogItem->id, 'data-toggle'=>'validator', 'files'=>'true']); ?>

                            <div class="row">

                                <div class="form-group col-md-4">
                                    <label for="title_en"><?php echo e(trans('home.title_en')); ?></label>
                                    <input type="text"  class="form-control" placeholder="<?php echo e(trans('home.title_en')); ?>" name="title_en" value="<?php echo e($blogItem->title_en); ?>" required>
                                </div>

                                <div class="form-group col-md-4">
                                    <label for="title_ar"><?php echo e(trans('home.title_ar')); ?></label>
                                    <input type="text"  class="form-control" placeholder="<?php echo e(trans('home.title_ar')); ?>" name="title_ar" value="<?php echo e($blogItem->title_ar); ?>">
                                </div>

                                <div class="form-group col-md-4">
                                    <label for="parent"><?php echo e(trans('home.blogCategory')); ?></label>
                                    <select class="form-control select2" name="blogcategory_id">
                                        <?php $__currentLoopData = $blogCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blogCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($blogCategory->id); ?>" <?php echo e(($blogCategory->id == $blogItem->blogcategory_id)?'selected':''); ?>><?php echo e((app()->getLocale()=='en')? $blogCategory->title_en:$blogCategory->title_ar); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>    
                                    </select>
                                </div>
                                <div class="form-group col-md-3"> 
                                    <label for="type"><?php echo e(trans('home.writers')); ?></label>
                                    <select class="form-control select2 type" name="writer_id">
                                        <?php $__currentLoopData = $writers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $writer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value ="<?php echo e($writer->id); ?>"><?php echo e($writer->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                


                                <!--<div class="form-group col-md-4">-->
                                <!--    <label for="writer"><?php echo e(trans('home.writer')); ?></label>-->
                                <!--    <input type="text"  class="form-control" placeholder="<?php echo e(trans('home.writer')); ?>" name="writer" value="<?php echo e($blogItem->writer); ?>" required>-->
                                <!--</div>-->

                                <div class="form-group col-md-3">
                                    <label for="code"><?php echo e(trans('home.date ')); ?></label>
                                    <div class="input-group">
                                        <input type='text' class="form-control" name="date" placeholder="<?php echo e(trans('home.date')); ?>" id="datepicker" value="<?php echo e($blogItem->date); ?>"  required readonly/>
                                        <div class="input-group-append">
                                            <span class="input-group-text">
                                                <i class="fas fa-calendar"></i>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label><?php echo e(trans('home.image')); ?></label>
                                    <div class="input-group mb-1">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"> <?php echo e(trans('home.upload')); ?></span>
                                        </div>
                                        <div class="custom-file">
                                            <input type="file" class="custom-file-input" name="image">
                                            <label class="custom-file-label" for="inputGroupFile01"><?php echo e(trans('home.choose_image')); ?></label>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group col-md-2">
                                    <label for="alt_img"><?php echo e(trans('home.alt_img')); ?></label>
                                    <input type="text"  class="form-control" placeholder="<?php echo e(trans('home.alt_img')); ?>" name="alt_img" value="<?php echo e($blogItem->alt_img); ?>">
                                </div>

                                <?php if($blogItem->image): ?>
                                    <div class="col-md-12">
                                        <img src="<?php echo e(url('\uploads\blogitems\resize200')); ?>\<?php echo e($blogItem->image); ?>" width="200" height="150">
                                    </div>
                                <?php endif; ?>

                                <div class="form-group col-md-6 ">
                                    <label for="text_en"><?php echo e(trans('home.text_en')); ?></label>
                                    <textarea class="form-control area1" name="text_en" placeholder="<?php echo e(trans('home.text_en')); ?>" ><?php echo $blogItem->text_en; ?></textarea>
                                </div>

                                <div class="form-group col-md-6 "> 
                                    <label for="text_ar"><?php echo e(trans('home.text_ar')); ?></label>
                                    <textarea class="form-control area1" name="text_ar" placeholder="<?php echo e(trans('home.text_ar')); ?>" ><?php echo $blogItem->text_ar; ?></textarea>
                                </div>
                                <div class="form-group col-md-6 ">
                                    <label for="text_source_en"><?php echo e(trans('home.text_source_en')); ?></label>
                                    <textarea class="form-control area1" name="text_source_en" placeholder="<?php echo e(trans('home.text_source_en')); ?>" ><?php echo $blogItem->text_source_en; ?></textarea>
                                </div>

                                <div class="form-group col-md-6 "> 
                                    <label for="text_source_ar"><?php echo e(trans('home.text_source_ar')); ?></label>
                                    <textarea class="form-control area1" name="text_source_ar" placeholder="<?php echo e(trans('home.text_source_ar')); ?>" ><?php echo $blogItem->text_source_ar; ?></textarea>
                                </div>
                                
                                <div class="form-group col-md-6">
                                    <label class="ckbox">
                                        <input name="status" value="1" <?php echo e(($blogItem->status == 1)? 'checked':''); ?> type="checkbox"><span class="tx-13"><?php echo e(trans('home.publish')); ?></span>
                                    </label>
                                </div>
                                
                                <div class="form-group col-md-6">
                                    <label class="ckbox">
                                        <input name="home" value="1" <?php echo e(($blogItem->home == 1)? 'checked':''); ?> type="checkbox"><span class="tx-13"><?php echo e(trans('home.home')); ?></span>
                                    </label>
                                </div>

                                <div class="col-12">
                                    <div class="row">
                                        <div class="form-group col-md-12">
                                            <hr>
                                            <span class="badge badge-success"><?php echo e(trans('home.en')); ?></span>
                                        </div>
                                        
                                        <div class="form-group col-md-2">
                                            <label for="link_en"><?php echo e(trans('home.slug')); ?></label>
                                            <input type="text" class="form-control" placeholder="<?php echo e(trans('home.slug')); ?>" name="link_en" value="<?php echo e($blogItem->link_en); ?>">
                                        </div>
                                
                                        <div class="form-group col-md-5">
                                            <label for="meta_title"> <?php echo e(trans('home.meta_title')); ?></label>
                                            <textarea class="form-control" name="meta_title_en" placeholder="<?php echo e(trans('home.meta_title')); ?>"><?php echo e($blogItem->meta_title_en); ?></textarea>
                                        </div>
                                        
                                        <div class="form-group col-md-5">
                                            <label for="meta_desc"> <?php echo e(trans('home.meta_desc')); ?></label>
                                            <textarea class="form-control" name="meta_desc_en" placeholder="<?php echo e(trans('home.meta_desc')); ?>"><?php echo e($blogItem->meta_desc_en); ?></textarea>
                                        </div>
                                        
                                        <div class="form-group col-md-12">
                                            <hr>
                                            <span class="badge badge-success"><?php echo e(trans('home.ar')); ?></span>
                                        </div>
                                        
                                        <div class="form-group col-md-2">
                                            <label for="link_ar"><?php echo e(trans('home.slug')); ?></label>
                                            <input type="text" class="form-control" placeholder="<?php echo e(trans('home.slug')); ?>" name="link_ar" value="<?php echo e($blogItem->link_ar); ?>">
                                        </div>
                                        
                                        <div class="form-group col-md-5">
                                            <label for="meta_title"> <?php echo e(trans('home.meta_title')); ?></label>
                                            <textarea class="form-control" name="meta_title_ar" placeholder="<?php echo e(trans('home.meta_title')); ?>"><?php echo e($blogItem->meta_title_ar); ?></textarea>
                                        </div>
                                        
                                        <div class="form-group col-md-5">
                                            <label for="meta_desc"> <?php echo e(trans('home.meta_desc')); ?></label>
                                            <textarea class="form-control" name="meta_desc_ar" placeholder="<?php echo e(trans('home.meta_desc')); ?>"><?php echo e($blogItem->meta_desc_ar); ?></textarea>
                                        </div>
                                        
                                        <div class="form-group col-md-12">
                                            <label class="ckbox">
                                                <input name="meta_robots" value="1" <?php echo e(($blogItem->meta_robots == 1)? 'checked':''); ?> type="checkbox"><span class="tx-13"><?php echo e(trans('home.meta_robots')); ?> (index)</span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="col-md-12">
                                    <hr>
                                    
                                    <div class="field_wrapper">
                                        <h5><?php echo e(trans('home.faq')); ?></h5>
                                        <div class="row">
                                            <?php if(count($questions) > 0): ?>
                                                <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="form-group col-md-12"> 
                                                        <label for="question"><?php echo e(trans('home.question')); ?></label>
                                                        <input type="text"  class="form-control" placeholder="<?php echo e(trans('home.question')); ?>" readonly value="<?php echo e($question->question); ?>">
                                                    </div>
            
                                                    <div class="form-group col-md-10">
                                                        <label for="answer"><?php echo e(trans('home.answer')); ?></label>
                                                        <textarea class="form-control" placeholder="<?php echo e(trans('home.answer')); ?>" readonly><?php echo e($question->answer); ?></textarea>
                                                    </div>
    
                                                    <div class="form-group col-md-2">
                                                        <button type="button" style="margin-top: 28px;" class="btn" data-toggle="modal" data-target="#iconForm_<?php echo e($key); ?>"><i class="fas fa-edit"></i></button>
                                                        <button type="button" style="margin-top: 28px;" class="btn rmv" data-faq_id="<?php echo e($question->id); ?>" id="type-error"><i class="fas fa-trash-alt"></i></button>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>    
                                            <?php else: ?>
                                                <div class="form-group col-md-12"> 
                                                    <label for="question"><?php echo e(trans('home.question')); ?></label>
                                                    <input type="text"  class="form-control" placeholder="<?php echo e(trans('home.question')); ?>" name="question[]">
                                                </div>
        
                                                <div class="form-group col-md-12">
                                                    <label for="answer"><?php echo e(trans('home.answer')); ?></label>
                                                    <textarea class="form-control" placeholder="<?php echo e(trans('home.answer')); ?>" name="answer[]"></textarea>
                                                </div> 
                                            <?php endif; ?>
                                        </div>  
                                    </div>       
                                    <a href="javascript:void(0);" class="add_button btn" title="Add field"><i class="fas fa-plus-square"></i></a>
                                </div>


                                <div class="form-group col-md-12">
                                    <button type="submit" class="btn btn-success"><i class="image-note"></i> <?php echo e(trans('home.save')); ?> </button>
                                    <a href="<?php echo e(url('/admin/blog-items')); ?>"><button type="button" class="btn btn-danger mr-1"><i class="image-trash"></i> <?php echo e(trans('home.cancel')); ?></button></a>
                                </div>
                                
                            </div>
                        <?php echo Form::close(); ?>

                        
                         <!-- Modal -->
                        <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="modal fade text-left" id="iconForm_<?php echo e($key); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel34" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h3 class="modal-title" id="myModalLabel34"><?php echo e(trans('home.edit_faq')); ?></h3>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <form action="<?php echo e(route('updateFaq')); ?>" method="post">
                                            <?php echo csrf_field(); ?>
                                            <div class="modal-body">
                                                <div class="row">
                                                    <div class="form-group col-md-12"> 
                                                        <label for="question"><?php echo e(trans('home.question')); ?></label>
                                                        <input type="text"  class="form-control" placeholder="<?php echo e(trans('home.question')); ?>" name="question" value="<?php echo e($question->question); ?>">
                                                    </div>

                                                    <div class="form-group col-md-12">
                                                        <label for="answer"><?php echo e(trans('home.answer')); ?></label>
                                                        <textarea type="text"  class="form-control" placeholder="<?php echo e(trans('home.answer')); ?>" name="answer" ><?php echo e($question->answer); ?></textarea>
                                                    </div> 

                                                    <input type="hidden" name="faq_id" value="<?php echo e($question->id); ?>"/>

                                                    <div class="form-group col-md-12">
                                                        <button type="submit" class="btn btn-success"><?php echo e(trans('home.save')); ?> </button>
                                                    </div>
                                                </div>                             
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>
        <!-- End Row -->
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>
    <script>

        $( "#datepicker" ).datepicker({
            changeMonth: true,
            changeYear: true,
            dateFormat: 'yy-mm-dd'
        });
        
        $(document).ready(function(){
            var maxField = 100; //Input fields increment limitation
            var addButton = $('.add_button'); //Add button selector
            var wrapper = $('.field_wrapper'); //Input field wrapper
            var fieldHTML ='<div class="row"><hr><div class="form-group col-md-12"><label for="question"><?php echo e(trans('home.question')); ?></label><input type="text"  class="form-control" placeholder="<?php echo e(trans('home.question')); ?>" name="question[]"></div>';
            fieldHTML +='<div class="form-group col-md-11"><label for="answer"><?php echo e(trans('home.answer')); ?></label><textarea class="form-control" placeholder="<?php echo e(trans('home.answer')); ?>" name="answer[]"></textarea></div>';
            fieldHTML +='<div class="form-group col-md-1"><a href="javascript:void(0);" style="margin-top: 30px;" class="remove_button btn"><i class="fas fa-trash-alt"></i></a></div></div>';

            var x = 1; //Initial field counter is 1

            //Once add button is clicked
            $(addButton).click(function(){
                //Check maximum number of input fields
                if(x < maxField){
                    x++; //Increment field counter
                    $(wrapper).append(fieldHTML); //Add field html
                }
            });

            //Once remove button is clicked
            $(wrapper).on('click', '.remove_button', function(e){
                e.preventDefault();
                $(this).parent().parent('div').remove(); //Remove field html
                x--; //Decrement field counter
            });
        });
        
        $(document).ready(function(){
            $('.rmv').click(function () {
                var faq_id = $(this).data('faq_id');
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    url:"<?php echo e(route('removeFaq')); ?>",
                    method:'POST',
                    data: {faq_id:faq_id},
                    success:function(data) {
                        location.reload();
                    }
                });
            });
            
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ramadanshams/public_html/resources/views/admin/blogItems/editBlogItem.blade.php ENDPATH**/ ?>